# Compaq TCP/IP Services for OpenVMS
User's Guide

Previous | Contents | Index

# SPAWN

> Suspends your current TELNET or TN3270 session and returns you to the local DCL prompt.

> To resume your session, log out at the DCL prompt.

## DCL Format

> SPAWN

## UNIX Format

> z

## Example

    % date
    Fri Sep 11 14:16:39 EDT 2002
    % [Ctrl/]] (characters not echoed)
    TELNET> SPAWN
    $ SHOW TIME
            11-Sep-2002 14:16:41
       .
       .
       .
    $ LOGOUT
    Process GROUP_1 logged out at 11-Sep-2002 14:27:18.63
    TELNET> RESUME

> The user returns to the TELNET prompt from the active session with a remote UNIX host. The user then enters the SPAWN command and, at the DCL prompt, displays the time and several other commands (not shown) before logging out and returning to the TELNET prompt to resume the active session.

# TELNET

> Starts a TELNET session and does one of the following:
> - Displays the TELNET prompt.
> - Establishes a connection to a remote host.
> - Establishes a connection to a remote host and runs TN3270.

## DCL Format

> TELNET [ host ] qualifier(s) [ port ] [unit ]
> [ /BIND_SESSION network_device /PROTOCOL=protocol ]
> [ /CREATE_SESSION [ /[NO]TIMEOUT=option]
> [ /PROTOCOL=option]
> [ /DELETE_SESSION ]
> [ /LOG_FILE=file ]
> [ /NOINTERACTIVE ]
> [ /PORT=n ]
> [ /TERMINAL_TYPE=type ]
> [ /UNBIND_SESSION ]

## UNIX Format

> telnet [ host ]

## Parameters

> ### host

> Required with the /CREATE_SESSION qualifier; optional in all other cases. Default: None.

> Remote host to which you want to connect. Specify one of the following:

> - Host name
> - IP address

> ### port

> Required with the /CREATE_SESSION qualifier; ignored in all other cases. Default: None.

> Specifies the remote port to which you want to connect the pseudodevice.

> ### unit

> Required with the /DELETE_SESSION qualifier; optional with the /CREATE_SESSION qualifier; ignored in all other cases. Default: 0.

> With the /CREATE_SESSION qualifier, specifies the unit number you want associated with the network terminal. The default of 0 allows the TELNET software to select the next available unit number.

> With the /DELETE_SESSION qualifier, specifies the unit number of the network terminal you want to delete.

## Qualifiers

> ### /BIND_SESSION network_device

> Optional. Default: None.

> Binds a TELNET terminal device to an existing network device. If the bind is successful, the DCL symbol $TELNET_DEVICE contains the TNA device name.

> ### /CREATE_SESSION

> Optional. Default: None.

> Specifies that TELNET should create a pseudodevice (network terminal) and connect it to the specified remote port. For additional information, see the CREATE_SESSION command. You can use the following qualifiers with CREATE_SESSION:

> > /NOTIMEOUT
> > /TIMEOUT=option
> > Options include:

> > > NOIDLE
> > > IDLE=delta_time_interval
> > > Specifies the delta time interval to wait with no activity before closing the connection. The general delta time format is hh:mm:ss:cc.
> > > NORECONNECT
> > > RECONNECT=delta_time_interval
> > > Specifies the delta time interval to wait before retrying a connect request. The general delta time format is hh:mm:ss:cc.

> > /PROTOCOL=option
> > Optional. Default: NONE.
> > Options include:
> > - NONE
> >   Data is sent with no interpretation (raw).
> > - NVT
> >   Network Virtual Terminal (NVT), TELNET's internal representation of a standard network terminal. NVT format is standard 7-bit ASCII code transmitted in 8-bit octets, the canonical form of data representation used by both the client and the server.
> > - TELNET
> >   Standard TELNET protocol.
> > - RLOGIN
> >   Standard RLOGIN protocol.

> ### /DELETE_SESSION

> Optional. Default: None.

> Specifies that TELNET should delete the specified pseudodevice (network terminal). For additional information, see the DELETE_SESSION command.

> ### /LOG_FILE=file

> Optional. Default: No logging.

> An optional log file that contains all session output. Using this option does not affect your terminal output. You cannot use this option for TN3270 sessions.

> ### /NOINTERACTIVE

> Optional. Default: TELNET command mode.

> Disables the capability of using the escape character to leave a session and return to the TELNET prompt. This option is useful when the TELNET command is referenced in a command procedure in a captive account.

> ### /PORT=n

> Optional. Default: 23.

> Remote port to which you want your TELNET process to connect. Use this qualifier only if you are connecting to a host that does not use the standard TELNET port.

> ### /TERMINAL_TYPE=type

> Optional. Default: None.

> The IBM or Compaq terminal to emulate. Enter the full specification for one of these terminals:

> - IBM-3278-2
> - IBM-3278-3
> - IBM-3278-4
> - IBM-3278-5
> - VT100
> - VT200
> - VT300
> - VT400
> - VT500

> ### /UNBIND_SESSION network_device terminal_device

> Optional.

> Unbinds a network device (BGx:) from a TELNET terminal device (TNAx:) that was initially bound by a BIND_SESSION command or qualifier.

##

### Examples

#1
    $ TELNET
    TELNET> ENABLE DEBUG
    TELNET> SET TERMINAL /DEVICE=VT300
    Terminal type is set to VT300
    TELNET> CONNECT DEBTS

> In this example, the TELNET command performs the following actions:

> - Starts TELNET.
> - Customizes the environment.
> - Establishes a connection to host `DEBTS` and sets up the terminal type as VT300.

#2
    $ TELNET MYCOM /TERMINAL_TYPE=IBM-3278-2

> Establishes a TELNET connection to remote host MYCOM and runs TN3270.

#3
    $ TELNET 130.180.5.5

> Establishes a TELNET connection to the host at IP address 130.180.5.5.

#4
    $ TELNET UCOM 31

> Establishes a TELNET connection to remote host `ucom` at port 31.

# TN3270

> Starts a TELNET session that runs TN3270 and does one of the following:
> - Displays the TELNET prompt.
> - Establishes a connection to a remote host.

## Format

> TN3270 [ host ]
> [ /CHARACTER_SET=file ]
> [ /KEY_DEFINITIONS=file ]
> [ /NATIONAL_CHARACTERS=char_set ]
> [ /NOINTERACTIVE ]
> [ /PORT=n ]
> [ /PRINTER=file ]
> [ /STATUS=state ]
> [ /TERMINAL_TYPE=IBM-3278-n ]

## Parameters

> ### host

> Optional.

> Remote host to which you want to connect. Specify one of the following:

> - Host name
> - IP address

## Qualifiers

> ### /CHARACTER_SET=file

> Optional. Default: ORIGINAL.

> File with the EBCDIC-to-DMCS (Compaq Multinational Character Set) and the DMCS-to-EBCDIC translation tables.

> If you omit this qualifier, TN3270 does the following:

> - Uses the translation table named by the default file SYS$LIBRARY:TN3270DEF.TBL, if your system manager has created it.
> - Defaults to its own translation table if TN3270DEF.TBL does not exist. The default table maps the EBCDIC set to the equivalent DMCS characters.
>   If none of these translation tables meets your needs, the system manager can generate a new translation table. (For information about the EBCDIC-to-DMCS translation tables, refer to the Compaq TCP/IP Services for OpenVMS Management manual.)

>   Note To reset the default, do not abbreviate ORIGINAL.

> ### /KEY_DEFINITIONS=file

> Optional. Default: default keyboard layout.

> Keyboard definition file you created to redefine how the TN3270 key functions correspond to your keyboard layout. This file holds the definitions for alternative keyboard mapping.

> ### /NATIONAL_CHARACTERS=character_set

> Optional. Defaults: For 8-bit terminals: MULTINATIONAL
> For 7-bit terminals: US_ASCII.

> National Replacement Character Set (NRCS) for which your Compaq terminal is configured. Specify one of the following:

> Canadian | MULTINATIONAL
> Dutch | Norwegian
> Finnish | Spanish
> French | Swedish
> German | Swiss
> Italian | UK_ASCII
> Japanese | US_ASCII

> ### /NOINTERACTIVE

> Optional. Default: TELNET command mode.

> Disables the capability of using the escape character to leave a session and return to the TN3270 prompt. This option is useful when the TN3270 command is referenced in a command procedure in a captive account.

> ### /PORT=n

> Optional. Default: 23.

> Remote port to which you want your TELNET/TN3270 process to connect. Use this qualifier only if you are connecting to a host that does not use the standard TELNET port.

> ### /PRINTER=file

> Optional. Default: TN3270PRINT.LIS.

> File that records your screen's contents when you use the PRINT function.

> Directs printer output to either a file or a spooled printer (not a physical printer or terminal).

> ### /STATUS=state

> Optional. Default: AUTOMATIC.

> Determines how the status line operates during your session. Specify one of the following:

> AUTOMATIC | Status line is displayed. The status line is disabled automatically if the remote host writes data to the area under the status line, or if you type in that space. The status line is restored automatically when the data is erased.
> ON | Status line is always displayed.
> OFF | Status line is not displayed.

> To toggle between ON and OFF, invoke the STATUS function.

> ### /TERMINAL_TYPE=IBM-3278-n

> Optional. Default: IBM-3278-2.

> IBM terminal to emulate. Enter the full specification for one of the following:

> - IBM-3278-2
> - IBM-3278-3
> - IBM-3278-4
> - IBM-3278-5

##

### Examples

#1
    $ TN3270 MYCOM

> Establishes a TELNET connection to remote host MYCOM. By default, the physical terminal functions as an IBM-3278-2 model terminal.

#2
    $ TN3270 130.180.5.5 /TERMINAL_TYPE=IBM-3278-3 -
    _$ /KEY_DEFINITIONS=MY_NUMPAD.FIL

> Establishes a TELNET connection to the host at IP address 130.180.5.5. The terminal functions as if it were an IBM-3278-3 model terminal, and it uses the customized keyboard definition file MY_NUMPAD.FIL.

#3
    $ TN3270 UCOM 31 /TERMINAL_TYPE=IBM-3278-5 /PRINTER=LOG

> Establishes a TELNET connection to remote host `ucom` :

> - The connection is at port 31 on `ucom` .
> - The terminal is functioning as if it were an IBM-3278-5 model terminal.
> - During the session at `ucom` , using the PRINT function records the screen's contents in a file named LOG.LIS.

# UNBIND_SESSION

> Unbinds a network device (BGx:) from a TELNET terminal device (TNAx:) that was previously bound with a BIND_SESSION command or qualifier.

## DCL Format

> UNBIND_SESSION network_device terminal_device

## Parameters

> ### network_device

> Required.

> Network device (BGx:) to unbind.

> ### terminal_device

> Required.

> Associated terminal device (TNAx:).

## Example

    TELNET> SHOW DEVICE
    TNA458:  BG2032:  Temporary condor:4009          angel:23
    TNA460:  BG4739:  Temporary condor:23            ler13.dec.com:1037
    TNA463:           Temporary
    TELNET> UNBIND_SESSION BG2032:  TNA458:
    TELNET>

> This example displays the devices and unbinds one of them.

# Chapter 5
Sending and Receiving Mail Using SMTP

For exchanging electronic mail (e-mail) with users working on internet hosts, the TCP/IP Services product includes Simple Mail Transfer Protocol (SMTP) and Post Office Protocol (POP) software.

The following table lists the SMTP electronic mail services you can perform and the sections that explain how to use them.

Capability | Section
--- | ---
Send mail to users on other internet hosts. | 5.2
Specify an SMTP outbound alias. | 5.3
Send mail to multiple users, with and without distribution lists. | 5.4
Read mail. | 5.5
Set a "personal" name. | 5.6
Create a carbon copy of your messages. | 5.7
Forward messages to other users. | 5.8
Use the UNIX-to-UNIX Copy Program (UUCP) to send mail. | 5.9
Get status information about SMTP mail. | 5.10.1
Remove holding-state mail messages from SMTP queues. | 5.10.2
Requeue holding-state mail messages for delivery. | 5.10.3
Use your PC mail software to receive and send messages. | 5.11

To use TCP/IP mail services, you need the following:

- Knowledge of the OpenVMS Mail utility
- User names and host names or IP addresses of the people to whom you want to send mail

# 5.1 Obtaining Online Help

You can obtain online help for TCP/IP Services electronic mail by entering the following command:

    $ HELP TCPIP_SERVICES SMTP

# 5.2 Sending Mail

To send mail to another internet host also running SMTP, simply invoke the OpenVMS Mail utility at the DCL prompt, type SEND at the `MAIL>` prompt, and enter the destination. A remote destination consists of the destination user name followed by an at sign (@) and the destination host (such as user_name@host). If the user is on your local host, omit the at sign and host name.

Specify the destination host as either a host name or an IP address. The following example sends mail to user MALCOLM at host PHILOS.BU.EDU:

    $ MAIL
    MAIL> SEND
    To: malcolm@philos.bu.edu
    Subj:   Final Exams

The following example sends mail to user MALCOLM at a host with IP address 16.20.40.59. Note that the IP address can be enclosed within brackets.

    $ MAIL
    MAIL> SEND
    To:   malcolm@16.20.40.59
    Subj:   Final Exams

The OpenVMS Mail utility automatically detects destination addresses that include fully qualified host names (one in which the node component includes a period [.], such as MALCOLM@PHILOS.BU.EDU) and sends the mail using the SMTP protocol, unless your system has been set up to use a different Internet protocol (by defining an alternate protocol with the MAIL$INTERNET_TRANSPORT logical name).

However, if you use a destination address that is not fully qualified --- that is, one in which the node component does not include a period (.) --- the Mail utility by default assumes the address is a DECnet address. For example, if you specified MALCOLM@PHILOS as the destination address, the Mail utility converts it to DECnet format (PHILOS::MALCOLM).

You can force the OpenVMS Mail utility to use a specific protocol by defining the MAIL$INTERNET_MODE logical name. This is useful in cases where a mail address, such as MALCOLM@PHILOS, can be valid for either SMTP or DECnet.

You can assign one of the following values to the MAIL$INTERNET_MODE logical name:

- SMTP
  OpenVMS Mail always interprets the node component of an unqualified address as an Internet address specification. (SMTP is the default mode unless you define an alternate Internet transport with the MAIL$INTERNET_TRANSPORT logical name.)
- DECNET
  OpenVMS Mail always interprets the node component of an unqualified address as a DECnet node specification.
- HYBRID (the default)
  OpenVMS Mail uses an Internet protocol if the node component of the address contains a period. If no periods are in the node component, Mail uses the DECnet protocol.

Define the logical name in your LOGIN.COM file. For example, the following definition causes the Mail utility to interpret any address that does not include a period in the node component of the specification as an Internet address:

    $ DEFINE MAIL$INTERNET_MODE SMTP

Another way to force the OpenVMS Mail utility to use SMTP is to include the SMTP% prefix immediately before the destination or IP address. Enclose the destination in quotation marks, as in the following example:

    $ MAIL
    MAIL> SEND
    To:   SMTP%"malcolm@philos"

To prevent the OpenVMS Mail utility from automatically converting an unqualified Internet host name address to a DECnet format, you can do one of the following:

- Fully qualify the host name (for example, specify the destination address as MALCOLM@PHILOS.BU.EDU instead of MALCOLM@PHILOS).
- Define the MAIL$INTERNET_MODE logical name as SMTP.
- Include the SMTP% prefix before the destination address.

For more information about the OpenVMS Mail utility and how it interprets addresses, see the appropriate OpenVMS documentation.

# 5.3 Specifying the SMTP Outbound Alias

SMTP allows you to specify an outbound alias that is applied to mail as it is sent and also specifies the network address to which a reply is sent.

## 5.3.1 Defining the Outbound Alias

To specify an outbound alias, define the TCPIP$SMTP_FROM logical to the text you want your `From` : header to be.

For example, you might define the logical as follows:

    $ DEFINE TCPIP$SMTP_FROM "bill.smith@xxx.com"

This command sets the outbound alias to the following:

    From: bill.smith@xxx.com

Define the TCPIP$SMTP_FROM logical before invoking OpenVMS Mail.

If you always want the header to be sent with the outbound alias, define the logical in your login command procedure (LOGIN.COM).

The outbound alias must be a valid address to which recipients can reply. If it is not valid, recipients cannot reply to you, and bounced mail messages are not returned to you.

If you do not define the TCPIP$SMTP_FROM logical, the `From` : address on your mail messages is the same one that you have always had.

Use only simple 7-bit ASCII characters in the value you assign to the TCPIP$SMTP_FROM logical. Do not use control characters.

The address you use to define TCPIP$SMTP_FROM must be an RFC 822 legal SMTP address; that is, user@domain. If the address is not interpreted correctly, the SMTP mailer ignores it and uses the `From` : address that it has constructed for you.

Previous | Next | Contents | Index